API referenceBiReports
GET /api/BiReports/GetReport/{id}
Returns a BI report in the specified format for the specified ID. The report is downloaded from the Metabase API and returned as a file download. Supported formats: csv, json, xlsx (default).
GET
/api/BiReports/GetReport/{id}curl -X GET "/api/BiReports/GetReport/0" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY"Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Parameters
idinteger<int32>pathrequiredThe ID for the report to retrieve.
formatstringqueryThe export format (csv, json, or xlsx). Defaults to xlsx.
Default:xlsx
Response
application/json
The report file in the requested format.
string<binary>
"string"